Issue 122215 - one paste from Windows Paint will create 2 images
one paste from Windows Paint will create 2 images
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: editing
4.0.0-dev
All Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 14:52 UTC by Shenfeng Liu
Modified: 2013-07-12 16:38 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Shenfeng Liu 2013-05-02 14:52:59 UTC
Copy a image from Window Paint, and paste to Impress, then drag and move the image. You will find another image there.
It does not happen for Writer or Calc.
It does not happen for copying from other applications.
My build number is:
AOO400m1(Build:9700)  -  Rev. 1467226
Rev.1466595
Comment 1 Regina Henschel 2013-05-02 17:17:48 UTC
If I click on the paste icon and do not open its drop-down list, the clipboard content "Bitmap" is inserted twice.

If I open the paste icon drop-down list or use 'paste special' three formats are provided: Bitmap, Metafile, and Paintbrush. 'Metafile' correctly pastes a metafile, 'Paintbrush' correctly pastes an OLE-object. But 'Bitmap' pastes nothing.

So there is surely something wrong with pasting clipboard content.

I see the same wrong behavior, when the clipboard content comes from Corel PHOTO-PAINT 12.

AOO shows only three formats, but the Windows clipboard viewer shows that there are more formats then this three in the clipboard.

I use AOO400m1(Build:9700)  -  Rev. 1476029 on Windows 7.
Comment 2 Armin Le Grand 2013-05-03 10:07:21 UTC
ALG: Ckecked with various programs.
With paint.net all is as expected
With MyPaint all is as expected
With Gimp all looks good

With Windows Paint indeed two copies are inserted and none with paste-special-bitmap. Maybe other apps have errors, too, checking what happens internally...
Comment 3 Armin Le Grand 2013-05-03 11:07:12 UTC
ALG: Found reason for double insertion, not too complicated.
Looking for not insert as metafile (some implicit conversion to metafile, it's a bitmap but of course can be represented as metafile containing that bitmap)...
Comment 4 Armin Le Grand 2013-05-03 12:22:14 UTC
ALG: Okay, inserted needed code to also paste EMF/WMF as bitmap. Checking in...
Comment 5 SVN Robot 2013-05-03 12:22:54 UTC
"alg" committed SVN revision 1478751 into trunk:
i122215 Avoid double paste, allow paste of WMF/EMF as bitmap
Comment 6 Armin Le Grand 2013-05-03 12:23:17 UTC
ALG: Okay, done.
Comment 7 Shenfeng Liu 2013-05-07 14:57:55 UTC
This fix is not in the current dev snapshot. Wait to the next build to verify it.
Comment 8 Shenfeng Liu 2013-07-08 08:10:48 UTC
verified in build 1499347. So close it.